Index: EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_fbs.h
===================================================================
--- EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_fbs.h	(revision 299)
+++ EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_fbs.h	(revision 321)
@@ -4,52 +4,37 @@
  *  Copyright (C) 2014-2016 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
- * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
- * 
- */
-
-/*
- * åºå®é·ãããã¡å¯å¤é·ã¹ããªã¼ã 
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
+ * 
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
+ * 
+ */
+
+/*
+ * 固定長バッファ可変長ストリーム
  */
 
@@ -66,46 +51,42 @@
 
 #ifndef NUM_ECHONET_MEMPOOL_BLOCK
-#define NUM_ECHONET_MEMPOOL_BLOCK (60)		/* é»æç¨ã¡ã¢ãªãã­ãã¯ã®æ° */
+#define NUM_ECHONET_MEMPOOL_BLOCK (60)		/* 電文用メモリブロックの数 */
 #endif /* NUM_ECHONET_MEMPOOL_BLOCK */
 
 #ifndef ECHONET_MEMPOOL_BLOCK_SIZE
-#define ECHONET_MEMPOOL_BLOCK_SIZE (256)	/* é»æç¨ã¡ã¢ãªãã­ãã¯ã®ãµã¤ãº */
+#define ECHONET_MEMPOOL_BLOCK_SIZE (256)	/* 電文用メモリブロックのサイズ */
 #endif /* ECHONET_MEMPOOL_BLOCK_SIZE */
 
-typedef unsigned int ECN_FBS_SIZE_T;	/* size_tç¸å½  */
-typedef int ECN_FBS_SSIZE_T;			/* ssize_tç¸å½ */
-
-/* T_EDATAç®¡çé åãµã¤ãº */
+typedef unsigned int ECN_FBS_SIZE_T;	/* size_t相当  */
+typedef int ECN_FBS_SSIZE_T;			/* ssize_t相当 */
+
+/* T_EDATA管理領域サイズ */
 #define DEF_ECN_EDT_HDR_LEN (sizeof(intptr_t))
 
-/* ç®¡çé åãµã¤ãº(64byte - sizeof(T_MSG)) */
+/* 管理領域サイズ(64byte - sizeof(T_MSG)) */
 /* #define DEF_ECN_FBS_LIB_HDR_LEN ((ECHONET_MEMPOOL_BLOCK_SIZE + sizeof(int) - 1)>> 2) // */
 #define DEF_ECN_FBS_LIB_HDR_LEN (64 - DEF_ECN_EDT_HDR_LEN)
 
-/* ç®¡çé åãå«ããã­ãã¯ã«ä¿æãããã¼ã¿ãµã¤ãº */
+/* 管理領域を含むブロックに保持するデータサイズ */
 #define DEF_ECN_FBS_FST_DAT_LEN (64)
 
-/* ãªã³ã¯ãã¤ã³ã¿é
-åã®ãµã¤ãº(byte) */
+/* リンクポインタ配列のサイズ(byte) */
 #define DEF_ECN_FBS_LNK_LEN (ECHONET_MEMPOOL_BLOCK_SIZE - DEF_ECN_EDT_HDR_LEN - DEF_ECN_FBS_LIB_HDR_LEN - DEF_ECN_FBS_FST_DAT_LEN)
 
-/* åºå®é·ãããã¡æå¤§ãµã¤ãº */
+/* 固定長バッファ最大サイズ */
 #define DEF_ECN_FBS_BUF_MAXLEN ((DEF_ECN_FBS_LNK_LEN / sizeof(void *)) * ECHONET_MEMPOOL_BLOCK_SIZE + DEF_ECN_FBS_FST_DAT_LEN)
 
-/* å­è¦ç´ ãããã¡ã®ãµã¤ãº */
+/* 子要素バッファのサイズ */
 #define DEF_ECN_FBS_SUB_BUF_LEN ECHONET_MEMPOOL_BLOCK_SIZE
 
-/* é»æã®ç¨®å¥(å
-å®¹ã¯ä»®) */
+/* 電文の種別(内容は仮) */
 typedef enum
 {
-	ECN_FBS_TYPE_BLANK		=	0,		/* æªä½¿ç¨ã¹ããªã¼ã  */
-	ECN_FBS_TYPE_INTERNAL	=	1,		/* å
-é¨ã¡ãã»ã¼ã¸ */
-	ECN_FBS_TYPE_ECHONET	=	2		/* ECHONETé»æ */
+	ECN_FBS_TYPE_BLANK		=	0,		/* 未使用ストリーム */
+	ECN_FBS_TYPE_INTERNAL	=	1,		/* 内部メッセージ */
+	ECN_FBS_TYPE_ECHONET	=	2		/* ECHONET電文 */
 } TA_ECN_MSG_TYPE;
 
-/* ãªã³ã¯ãã¤ã³ã¿é
-åã«åæããããå­è¦ç´ ãããã¡ */
+/* リンクポインタ配列に列挙される、子要素バッファ */
 typedef struct
 {
@@ -113,6 +94,5 @@
 } T_ECN_SUB_BLK;
 
-/* ãªã³ã¯ãã¤ã³ã¿é
-å */
+/* リンクポインタ配列 */
 typedef union
 {
@@ -121,45 +101,33 @@
 } T_ECN_FBS_LNK;
 
-/* ç®¡çé å(64byte - sizeof(T_MSG)) */
+/* 管理領域(64byte - sizeof(T_MSG)) */
 typedef struct
 {
-	uint16_t	length;			/* ã¡ãã»ã¼ã¸é· */
-	uint16_t	type;			/* ã¡ãã»ã¼ã¸ã¿ã¤ã */
+	uint16_t	length;			/* メッセージ長 */
+	uint16_t	type;			/* メッセージタイプ */
 	union{
-		ECN_ENOD_ID id;			/* éä¿¡å
-ãã¼ãIDï¼ECHONETé»æï¼ */
-		struct ecn_fbs_queue *mbxid;	/* éä¿¡å
-ã¡ã¼ã«ããã¯ã¹IDï¼å
-é¨ã¡ãã»ã¼ã¸ï¼ */
+		ECN_ENOD_ID id;			/* 送信元ノードID（ECHONET電文） */
+		struct ecn_fbs_queue *mbxid;	/* 送信元メールボックスID（内部メッセージ） */
 	}sender;
 	union{
-		ECN_ENOD_ID id;			/* éä¿¡å
-ãã¼ãIDï¼ECHONETé»æï¼ */
-		struct ecn_fbs_queue *mbxid;	/* éä¿¡å
-ã¡ã¼ã«ããã¯ã¹IDï¼å
-é¨ã¡ãã»ã¼ã¸ï¼ */
+		ECN_ENOD_ID id;			/* 送信先ノードID（ECHONET電文） */
+		struct ecn_fbs_queue *mbxid;	/* 送信先メールボックスID（内部メッセージ） */
 	}target;
 	union{
-		ECN_ENOD_ID id;			/* è¿ä¿¡å
-ãã¼ãIDï¼ECHONETé»æï¼ */
-		struct ecn_fbs_queue *mbxid;	/* è¿ä¿¡å
-ã¡ã¼ã«ããã¯ã¹IDï¼å
-é¨ã¡ãã»ã¼ã¸ï¼ */
+		ECN_ENOD_ID id;			/* 返信先ノードID（ECHONET電文） */
+		struct ecn_fbs_queue *mbxid;	/* 返信先メールボックスID（内部メッセージ） */
 	}reply;
 
-	int			rd;				/*	èª­ã¿åããããæ
-å ±	*/
-	int			wr;				/*	æ¸ãè¾¼ã¿ãããæ
-å ±	*/
+	int			rd;				/*	読み取りヘッド情報	*/
+	int			wr;				/*	書き込みヘッド情報	*/
 } T_ECN_FBS_HDR;
 
-/* ç®¡çé åãå«ããã­ãã¯ã®æ§é  */
+/* 管理領域を含むブロックの構造 */
 typedef struct
 {
 	uint8_t	_msg[DEF_ECN_EDT_HDR_LEN];	/* T_MSG */
-	T_ECN_FBS_HDR	hdr;	/*	ç®¡çé å  64byte  - sizeof(T_MSG)	*/
+	T_ECN_FBS_HDR	hdr;	/*	管理領域  64byte  - sizeof(T_MSG)	*/
 	uint8_t			_gap[DEF_ECN_FBS_LIB_HDR_LEN - sizeof(T_ECN_FBS_HDR)];
-	T_ECN_FBS_LNK	lnk;	/*	ãªã³ã¯ãã¤ã³ã¿é
-å	128byte			*/
+	T_ECN_FBS_LNK	lnk;	/*	リンクポインタ配列	128byte			*/
 	uint8_t			payload[DEF_ECN_FBS_FST_DAT_LEN];
 } T_ECN_FST_BLK;
@@ -171,129 +139,125 @@
 } ECN_FBS_ID;
 
-/* ã¡ãã»ã¼ã¸ã­ã¥ã¼ */
+/* メッセージキュー */
 typedef struct ecn_fbs_queue
 {
-	T_ECN_FST_BLK	*pk_head;		/* å
-é ­ã®ã¡ãã»ã¼ã¸ */
-	T_ECN_FST_BLK	*pk_last;		/* æ«å°¾ã®ã¡ãã»ã¼ã¸ */
+	T_ECN_FST_BLK	*pk_head;		/* 先頭のメッセージ */
+	T_ECN_FST_BLK	*pk_last;		/* 末尾のメッセージ */
 } T_ECN_FBS_QUEUE;
 
-/* ã¡ã¢ãªãã­ãã¯åå¾ ok:ãã¤ã³ã¿ NG:NULL */
+/* メモリブロック取得 ok:ポインタ NG:NULL */
 void *_ecn_fbs_mbx_get(mrb_state *mrb, ECN_FBS_SIZE_T fa_req_size);
 
-/* ã¡ã¢ãªãã­ãã¯è§£æ¾ ok:0 NG:é0 */
+/* メモリブロック解放 ok:0 NG:非0 */
 ER _ecn_fbs_mbx_rel(mrb_state *mrb, void *p);
 
 /*
- * é åç¢ºä¿
- *	å¼æ°
- *		ECN_FBS_SIZE_T	fa_req_size		è¦æ±ãããã¡ãµã¤ãº(byte)
+ * 領域確保
+ *	引数
+ *		ECN_FBS_SIZE_T	fa_req_size		要求バッファサイズ(byte)
  *										max: DEF_ECN_FBS_BUF_MAXLEN
- *		ECN_FBS_ID		*fp_id			ç¢ºä¿ããFBS-IDã®æ ¼ç´å
-
- *	æ»ãå¤
- *		ER				0:ok é0:NG
+ *		ECN_FBS_ID		*fp_id			確保したFBS-IDの格納先
+ *	戻り値
+ *		ER				0:ok 非0:NG
  */
 ER _ecn_fbs_cre(mrb_state *mrb, ECN_FBS_SIZE_T fa_req_size, ECN_FBS_ID *fp_id);
 
 /*
- * é åè§£æ¾
- *	å¼æ°
- *		ecn_fbs_idå	ç¢ºä¿ããFBS-ID
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * 領域解放
+ *	引数
+ *		ecn_fbs_id型	確保したFBS-ID
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ecn_fbs_del(mrb_state *mrb, ECN_FBS_ID fa_id);
 
 /*
- * ä¿æãã¼ã¿ã®æç¡
- *	å¼æ°
- *		ecn_fbs_idå	ç¢ºä¿ããFBS-ID
- *	æ»ãå¤
- *		bool_t			0:ç¡ã, 1:ãã
+ * 保持データの有無
+ *	引数
+ *		ecn_fbs_id型	確保したFBS-ID
+ *	戻り値
+ *		bool_t			0:無し, 1:あり
  */
 bool_t _ecn_fbs_exist_data(ECN_FBS_ID fa_id);
 
 /*
- * ä¿æãã¼ã¿é·ã®åå¾
- *	å¼æ°
- *		ecn_fbs_idå	ç¢ºä¿ããFBS-ID
- *	æ»ãå¤
- *		ECN_FBS_SSIZE_T	ä¿æãã¦ãããã¼ã¿ã®é·ã(byte) -1:NG
+ * 保持データ長の取得
+ *	引数
+ *		ecn_fbs_id型	確保したFBS-ID
+ *	戻り値
+ *		ECN_FBS_SSIZE_T	保持しているデータの長さ(byte) -1:NG
  */
 ECN_FBS_SSIZE_T _ecn_fbs_get_datalen(ECN_FBS_ID fa_id);
 
 /*
- * èª­ã¿åãã«ã¼ã½ã«ã®ä½ç½®åå¾
- *	å¼æ°
- *		ecn_fbs_idå	ç¢ºä¿ããFBS-ID
- *	æ»ãå¤
- *		ECN_FBS_SIZE_T	å
-é ­ããã®çµ¶å¯¾ä½ç½® -1:NG
+ * 読み取りカーソルの位置取得
+ *	引数
+ *		ecn_fbs_id型	確保したFBS-ID
+ *	戻り値
+ *		ECN_FBS_SIZE_T	先頭からの絶対位置 -1:NG
  */
 ECN_FBS_SSIZE_T _ecn_fbs_get_rpos(ECN_FBS_ID fa_id);
 
 /*
- * èª­ã¿åãã«ã¼ã½ã«ã®ä½ç½®è¨­å®
- *	å¼æ°
- *		ecn_fbs_idå	ç¢ºä¿ããFBS-ID
- *		ECN_FBS_SIZE_T	fa_pos	è¨­å®ããä½ç½®(å
-é ­ããã®çµ¶å¯¾ä½ç½®)
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * 読み取りカーソルの位置設定
+ *	引数
+ *		ecn_fbs_id型	確保したFBS-ID
+ *		ECN_FBS_SIZE_T	fa_pos	設定する位置(先頭からの絶対位置)
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ecn_fbs_set_rpos(ECN_FBS_ID fa_id, ECN_FBS_SSIZE_T fa_pos);
 
 /*
- * èª­ã¿åãã«ã¼ã½ã«ã®ä½ç½®ç§»å
- *	å¼æ°
- *		ecn_fbs_idå	ç¢ºä¿ããFBS-ID
- *		ECN_FBS_SIZE_T	fa_seek	ç§»åé(ç¾ç¶ãåé²ã®ã¿)
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * 読み取りカーソルの位置移動
+ *	引数
+ *		ecn_fbs_id型	確保したFBS-ID
+ *		ECN_FBS_SIZE_T	fa_seek	移動量(現状、前進のみ)
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ecn_fbs_seek_rpos(ECN_FBS_ID fa_id, ECN_FBS_SSIZE_T fa_seek);
 
 /*
- * ä»»ææå®ä½ç½®ã®1byteèª­ã¿åã
+ * 任意指定位置の1byte読み取り
  */
 int _ecn_fbs_peek(mrb_state *mrb, ECN_FBS_ID fa_id, ECN_FBS_SSIZE_T fa_seek);
 
 /*
- * ä»»ææå®ä½ç½®ã®1byteæ¸ãè¾¼ã¿
+ * 任意指定位置の1byte書き込み
  */
 ER _ecn_fbs_poke(mrb_state *mrb, ECN_FBS_ID fa_id, ECN_FBS_SSIZE_T fa_seek, int fa_val);
 
 /*
- * ãã¼ã¿è¿½å 
- *	å¼æ°
- *		ecn_fbs_idå	ç¢ºä¿ããFBS-ID
- *		const void *	fa_dat	è¿½å ãããã¼ã¿
- *		ECN_FBS_SSIZE_T	fa_len	è¿½å ããé·ã(byte)
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * データ追加
+ *	引数
+ *		ecn_fbs_id型	確保したFBS-ID
+ *		const void *	fa_dat	追加するデータ
+ *		ECN_FBS_SSIZE_T	fa_len	追加する長さ(byte)
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ecn_fbs_add_data(mrb_state *mrb, ECN_FBS_ID fa_id, const void *fa_dat, ECN_FBS_SSIZE_T fa_len);
 
 /*
- * ãã¼ã¿è¿½å (é åãèªåçã«æ¡å¼µãã)
- *	å¼æ°
- *		ecn_fbs_idå	ç¢ºä¿ããFBS-ID
- *		const void *	fa_dat	è¿½å ãããã¼ã¿
- *		ECN_FBS_SSIZE_T	fa_len	è¿½å ããé·ã(byte)
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * データ追加(領域を自動的に拡張する)
+ *	引数
+ *		ecn_fbs_id型	確保したFBS-ID
+ *		const void *	fa_dat	追加するデータ
+ *		ECN_FBS_SSIZE_T	fa_len	追加する長さ(byte)
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ecn_fbs_add_data_ex(mrb_state *mrb, ECN_FBS_ID fa_id, const void *fa_dat, ECN_FBS_SSIZE_T fa_len);
 
 /*
- * ãã¼ã¿åå¾
- *	å¼æ°
- *		ecn_fbs_idå	ç¢ºä¿ããFBS-ID
- *		void *			fa_buf		åå¾ãããããã¡
- *		ECN_FBS_SSIZE_T	fa_maxlen	åå¾ããé·ã(byte)
- *		ECN_FBS_SSIZE_T	*p_len		åå¾ããé·ã(byte)
- *	æ»ãå¤
- *		ER				0:ok, é0:NG
+ * データ取得
+ *	引数
+ *		ecn_fbs_id型	確保したFBS-ID
+ *		void *			fa_buf		取得するバッファ
+ *		ECN_FBS_SSIZE_T	fa_maxlen	取得する長さ(byte)
+ *		ECN_FBS_SSIZE_T	*p_len		取得した長さ(byte)
+ *	戻り値
+ *		ER				0:ok, 非0:NG
  */
 ER _ecn_fbs_get_data(mrb_state *mrb, ECN_FBS_ID fa_id, void *fa_buf, ECN_FBS_SSIZE_T fa_maxlen,
Index: EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_lcl_task.c
===================================================================
--- EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_lcl_task.c	(revision 299)
+++ EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_lcl_task.c	(revision 321)
@@ -4,52 +4,37 @@
  *  Copyright (C) 2014-2016 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  */
 
 /*
- *		ECHONET Lite LCLéä¿¡å¦çã¿ã¹ã¯
+ *		ECHONET Lite LCL通信処理タスク
  */
 
@@ -90,5 +75,5 @@
 
 /*
- * åä¿¡ããLCLãã¼ã¿ãMAILBOXã«éã
+ * 受信したLCLデータをMAILBOXに送る
  */
 ER _ecn_lcl2mbx(ecnl_svc_task_t *svc, const uint8_t *buffer, size_t fa_len, const mrb_value dst);
@@ -106,6 +91,6 @@
 
 	a_rcv_pkt.buffer = buffer;
-	if (	a_rcv_pkt.t_esv->ecn_hdr.ehd1 != ECN_EDH1_ECHONET_LITE	/* ECHONET Liteè¦æ ¼	*/
-	||	a_rcv_pkt.t_esv->ecn_hdr.ehd2 != ECN_EDH2_FORMAT_1			/* é»æå½¢å¼1		*/) {
+	if (	a_rcv_pkt.t_esv->ecn_hdr.ehd1 != ECN_EDH1_ECHONET_LITE	/* ECHONET Lite規格	*/
+	||	a_rcv_pkt.t_esv->ecn_hdr.ehd2 != ECN_EDH2_FORMAT_1			/* 電文形式1		*/) {
 		ECN_DBG_PUT_2("[LCL ECHO SRV] illegal type (0x%02X,0x%02X)", a_rcv_pkt.t_esv->ecn_hdr.ehd1, a_rcv_pkt.t_esv->ecn_hdr.ehd2);
 		return E_PAR;
@@ -130,5 +115,5 @@
 	a_fbs_id.ptr->hdr.sender.id = ENOD_NOT_MATCH_ID;
 
-	/* éä¿¡ã¬ã¤ã¤ã¼ã¢ãã¬ã¹ãããªã¢ã¼ãECHONETãã¼ãã¸å¤æ */
+	/* 通信レイヤーアドレスからリモートECHONETノードへ変換 */
 	a_enod_id = lcl_get_id(svc, (T_EDATA *)a_fbs_id.ptr, dst);
 	if (!lcl_is_valid_addrid(svc, a_enod_id)) {
@@ -136,11 +121,10 @@
 			ip2str(NULL, &dst->lcladdr));
 	} else {
-		/* éä¿¡å
-ECHONETãã¼ããè¨é² */
+		/* 送信元ECHONETノードを記録 */
 		a_fbs_id.ptr->hdr.sender.id = a_enod_id;
 	}
 	a_fbs_id.ptr->hdr.reply.id = a_fbs_id.ptr->hdr.sender.id;
 
-	/* echonet_taskã«éã */
+	/* echonet_taskに送る */
 	a_ret = ecn_fbs_enqueue(&svc->svc_mbxid, a_fbs_id.ptr);
 	if (a_ret != E_OK) {
@@ -155,5 +139,5 @@
 
 /*
-* ECHONET Lite éä¿¡ã¬ã¤ã¤ã¼ã¿ã¹ã¯ ã¿ã¤ãã¼å¤åå¾
+* ECHONET Lite 通信レイヤータスク タイマー値取得
 */
 TMO echonet_lcltask_get_timer(ecnl_svc_task_t *svc)
@@ -168,5 +152,5 @@
 
 /*
-* ECHONET Lite éä¿¡ã¬ã¤ã¤ã¼ã¿ã¹ã¯ æéçµéå¦ç
+* ECHONET Lite 通信レイヤータスク 時間経過処理
 */
 void echonet_lcltask_progress(ecnl_svc_task_t *svc, TMO a_timer)
@@ -176,5 +160,5 @@
 
 /*
-* ECHONET Lite éä¿¡ã¬ã¤ã¤ã¼ã¿ã¹ã¯ ã¡ãã»ã¼ã¸åä¿¡å¦ç
+* ECHONET Lite 通信レイヤータスク メッセージ受信処理
 */
 void echonet_lcltask_recv_msg(ecnl_svc_task_t *svc, T_ECN_FST_BLK *p_msg)
@@ -185,5 +169,5 @@
 	a_fbs_id.ptr = p_msg;
 
-	/* éä¿¡ãã¼ã¿é·ãåå¾ */
+	/* 送信データ長を取得 */
 	a_snd_len = _ecn_fbs_get_datalen(a_fbs_id);
 
@@ -191,11 +175,10 @@
 
 	switch (a_fbs_id.ptr->hdr.type) {
-		/* å
-é¨ä½¿ç¨ã¡ãã»ã¼ã¸ */
+		/* 内部使用メッセージ */
 	case ECN_MSG_INTERNAL:
 		_ecn_int_msg(svc, a_fbs_id, a_snd_len);
 		break;
 
-		/* ECHONETç¨ã¡ãã»ã¼ã¸ */
+		/* ECHONET用メッセージ */
 	case ECN_MSG_ECHONET:
 		_ecn_esv_msg(svc, a_fbs_id);
@@ -206,10 +189,10 @@
 	}
 
-	/* é åè§£æ¾ */
+	/* 領域解放 */
 	_ecn_fbs_del(svc->mrb, a_fbs_id);
 }
 
 /*
-* ECHONET Lite éä¿¡ã¬ã¤ã¤ã¼ã¿ã¹ã¯ ã¿ã¤ã ã¢ã¦ãå¦ç
+* ECHONET Lite 通信レイヤータスク タイムアウト処理
 */
 void echonet_lcltask_timeout(ecnl_svc_task_t *svc)
@@ -218,5 +201,5 @@
 }
 
-/* å¿ç­é»æç¨fbsè¨­å®(sender/targetã®è¨­å®) */
+/* 応答電文用fbs設定(sender/targetの設定) */
 static ER _ecn_lcl_cre_req_fbs(ecnl_svc_task_t *svc, T_ECN_FBS_QUEUE *sender, uint8_t cmd, ECN_FBS_ID *pk_req)
 {
@@ -248,5 +231,5 @@
 }
 
-/* å¿ç­é»æç¨fbsè¨­å®(sender/targetã®è¨­å®) */
+/* 応答電文用fbs設定(sender/targetの設定) */
 static ER _ecn_lcl_cre_res_fbs(ecnl_svc_task_t *svc, ECN_FBS_ID req, uint8_t cmd, ECN_FBS_ID *pk_res)
 {
@@ -279,6 +262,5 @@
 
 /*
- *  å
-é¨ã¡ãã»ã¼ã¸åä¿¡å¦ç
+ *  内部メッセージ受信処理
  */
 void _ecn_int_msg(ecnl_svc_task_t *svc, ECN_FBS_ID fbs_id, ECN_FBS_SSIZE_T a_snd_len)
@@ -300,5 +282,5 @@
 
 	switch(cmd){
-	// éä¿¡ã¬ã¤ã¤ã¼ã¢ãã¬ã¹ãè¿ä¿¡
+	// 通信レイヤーアドレスを返信
 	case ECN_LCL_MSG_GET_LCLADDR_REQ:
 		if (a_snd_len < sizeof(msg)) {
@@ -370,5 +352,5 @@
 
 /*
- *  ECHONET é»æåä¿¡å¦ç
+ *  ECHONET 電文受信処理
  */
 void _ecn_esv_msg(ecnl_svc_task_t *svc, ECN_FBS_ID fbs_id)
@@ -381,9 +363,8 @@
 	ECN_FBS_SSIZE_T a_snd_len;
 
-	/* éä¿¡å
-éä¿¡ã¬ã¤ã¤ã¼ã¢ãã¬ã¹ */
+	/* 送信先通信レイヤーアドレス */
 	a_dst = lcl_get_addr(svc, fbs_id.ptr->hdr.target.id);
 	if (mrb_type(a_dst) != MRB_TT_FALSE/*nil*/) {
-		ECN_DBG_PUT_4("[LCL TSK] echonet-node 0x%02X-0x%02X-0x%02X â lcl dest(%s)",
+		ECN_DBG_PUT_4("[LCL TSK] echonet-node 0x%02X-0x%02X-0x%02X → lcl dest(%s)",
 			((T_EDATA *)fbs_id.ptr)->hdr.edata.deoj.eojx1,
 			((T_EDATA *)fbs_id.ptr)->hdr.edata.deoj.eojx2,
@@ -393,5 +374,5 @@
 		a_msg = mrb_str_buf_new(mrb, a_len);
 
-		/* fbsããåºåé åã«ãã¼ã¿ãæ½åº */
+		/* fbsから出力領域にデータを抽出 */
 		a_snd_len = 0;
 		a_ret = _ecn_fbs_get_data(mrb, fbs_id, RSTRING_PTR(a_msg), a_len, &a_snd_len);
@@ -402,7 +383,6 @@
 			RSTR_SET_LEN(RSTRING(a_msg), a_snd_len);
 
-			/* éä¿¡å
-ã127.0.0.1 â mbxã«è»¢é */
-			ECN_DBG_PUT_1("redirect svc->lcl_mbxid â svc->svc_mbxid (esv:0x%02X)",
+			/* 送信先が127.0.0.1 → mbxに転送 */
+			ECN_DBG_PUT_1("redirect svc->lcl_mbxid → svc->svc_mbxid (esv:0x%02X)",
 				((T_EDATA *)fbs_id.ptr)->hdr.edata.esv);
 
@@ -420,5 +400,5 @@
 			_ecn_dbg_bindmp(RSTRING_PTR(a_msg), a_snd_len);
 #endif
-			/* éä¿¡ã¬ã¤ã¤ã¼ã¸éä¿¡ */
+			/* 通信レイヤーへ送信 */
 			a_ret = lcl_snd_msg(svc, a_dst, a_msg);
 			if (a_ret < 0) {
@@ -427,5 +407,5 @@
 		}
 
-		/* ãã¼ã¿ãé·ããã¦1ãã±ããã«åã¾ããªãã£ãå ´å */
+		/* データが長すぎて1パケットに収まらなかった場合 */
 		if (_ecn_fbs_exist_data(fbs_id)) {
 			ECN_DBG_PUT_1("[LCL TSK] send, data so long: %dbyte(s)", _ecn_fbs_get_datalen(fbs_id));
@@ -440,5 +420,5 @@
 
 /*
- *  ãã³ãã­ãã­ã³ã°ã³ã¼ã«ã®ã³ã¼ã«ããã¯é¢æ°
+ *  ノンブロッキングコールのコールバック関数
  */
 ER echonet_lcl_input_msg(ecnl_svc_task_t *svc, mrb_value ep, mrb_value data)
@@ -452,5 +432,5 @@
 
 /*
- *  ãªã¢ã¼ãECHONETãã¼ãã®é©åç¢ºèª
+ *  リモートECHONETノードの適合確認
  */
 bool_t ecn_is_match(ecnl_svc_task_t *svc, const EOBJCB *enodcb, T_EDATA *edata, mrb_value ep)
@@ -470,5 +450,5 @@
 		return false;
 
-	/* ãã¼ãã¹ã¿ã¼ãæã¤ã³ã¹ã¿ã³ã¹ãªã¹ãéç¥ä»¥å¤ã¯é¤å¤ */
+	/* ノードスタート時インスタンスリスト通知以外は除外 */
 	if (	edata->hdr.edata.esv != ESV_INF
 		||	edata->hdr.edata.deoj.eojx1 != EOJ_X1_PROFILE
@@ -492,18 +472,17 @@
 		}
 		ECN_DBG_PUT_2("ecn_is_match(): ecn_itr_nxt() result: epc=0x%02X, pdc=%d", epc, pdc);
-		/* ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãéç¥ã¾ãã¯èªãã¼ãã¤ã³ã¹ã¿ã³ã¹ãªã¹ãï¼³ä»¥å¤ã¯é¤å¤ */
+		/* インスタンスリスト通知または自ノードインスタンスリストＳ以外は除外 */
 		if ((epc != 0xD5) && (epc != 0xD6)) {
 			continue;
 		}
 
-		/* ï¼ãã¤ãç®ä»¥éã«eojãåæããã¦ãã */
+		/* ２バイト目以降にeojが列挙されている */
 		count = (pdc - 1) / sizeof(T_ECN_EOJ);
 
-		/* ãã¼ãå
-ã®æ©å¨ãªãã¸ã§ã¯ããæ¤ç´¢ */
+		/* ノード内の機器オブジェクトを検索 */
 		for (k = 0; k < enodcb->eobjcnt; k++) {
 			p_eobj = enodcb->eobjs[k];
 
-			/* ã¤ã³ã¹ã¿ã³ã¹ãªã¹ããç¢ºèª */
+			/* インスタンスリストを確認 */
 			match = false;
 			for (i = 0, j = 1; i < count; i++, j += sizeof(T_ECN_EOJ)) {
@@ -523,5 +502,5 @@
 		}
 
-		/* ãã¹ã¦æã£ã¦ãããé©åï¼ã¤ã³ã¹ã¿ã³ã¹ãªã¹ãã®æ¹ãå¤ãã¦ããããã¨ã¨ããï¼ */
+		/* すべて揃っていたら適合（インスタンスリストの方が多くてもいいこととする） */
 		return true;
 	}
@@ -531,5 +510,5 @@
 
 /*
- *  éä¿¡ã¬ã¤ã¤ã¼ã¢ãã¬ã¹ãããªã¢ã¼ãECHONETãã¼ãã¸å¤æ
+ *  通信レイヤーアドレスからリモートECHONETノードへ変換
  */
 ECN_ENOD_ID lcl_get_id(ecnl_svc_task_t *svc, T_EDATA *edata, const mrb_value ep)
@@ -542,5 +521,5 @@
 		return ENOD_MULTICAST_ID;
 
-	/* éä¿¡ã¬ã¤ã¤ã¼ã¢ãã¬ã¹ã®åããã®ãæ¤ç´¢ */
+	/* 通信レイヤーアドレスの同じものを検索 */
 	if ((id = lcl_get_remote_id(svc, ep)) != ENOD_NOT_MATCH_ID) {
 		ECN_CAP_PUT_2("lcl_get_id(): ip-found remote(%d) = %s",
@@ -549,5 +528,5 @@
 	}
 
-	/* å¯¾å¿ãããªã¢ã¼ããã¼ããããã°éä¿¡ã¬ã¤ã¤ã¼ã¢ãã¬ã¹ãè¨­å® */
+	/* 対応するリモートノードがあれば通信レイヤーアドレスを設定 */
 	if ((id = lcl_set_remote_addr(svc, edata, ep)) != ENOD_NOT_MATCH_ID) {
 		ECN_CAP_PUT_2("lcl_get_id(): enod-found remote(%d) = %s",
@@ -556,5 +535,5 @@
 	}
 
-	/* ç©ºãé åãæ¢ãã¦èªåç»é² */
+	/* 空き領域を探して自動登録 */
 	if ((id = lcl_add_remote_addr(svc, edata, ep)) != ENOD_NOT_MATCH_ID) {
 		ECN_CAP_PUT_2("lcl_get_id(): empty-found remote(%d) = %s",
@@ -567,16 +546,15 @@
 
 /*
- *  ãªã¢ã¼ãECHONETãã¼ãããéä¿¡ã¬ã¤ã¤ã¼ã¢ãã¬ã¹ã¸å¤æ
+ *  リモートECHONETノードから通信レイヤーアドレスへ変換
  */
 mrb_value lcl_get_addr(ecnl_svc_task_t *svc, ECN_ENOD_ID fa_enodid)
 {
 	if (fa_enodid == ENOD_MULTICAST_ID) {
-		/* targetãENOD_MULTICAST_IDã®å ´åããã«ãã­ã£ã¹ããè¡ã */
+		/* targetがENOD_MULTICAST_IDの場合、マルチキャストを行う */
 		return lcl_get_multicast_addr(svc);
 	}
 
 	if (fa_enodid < ENOD_REMOTE_ID) {
-		/* targetãæªå®ç¾©ã»LOCALã»APIã®å ´åãã­ã¼ã«ã«é
-éãè¡ã */
+		/* targetが未定義・LOCAL・APIの場合、ローカル配送を行う */
 		return lcl_get_local_addr(svc);
 	}
Index: EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_lcl_task.h
===================================================================
--- EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_lcl_task.h	(revision 299)
+++ EcnlProtoTool/trunk/mrbgems/mruby-ecnl/src/echonet_lcl_task.h	(revision 321)
@@ -4,52 +4,37 @@
  *  Copyright (C) 2014-2016 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  */
 
 /*
- *		ECHONET Lite ã¿ã¹ã¯
+ *		ECHONET Lite タスク
  */
 
@@ -66,5 +51,5 @@
 
 /*
- *  ECHONET Lite ä¸æåå ±ã¢ãã¬ã¹
+ *  ECHONET Lite 一斉同報アドレス
  */
 #ifdef SIL_ENDIAN_LITTLE
@@ -75,13 +60,12 @@
 
 /*
- *  ECHONET Lite ã¿ã¹ã¯é¢é£ã®å®æ°ã®ããã©ã«ãå¤ã®å®ç¾©
+ *  ECHONET Lite タスク関連の定数のデフォルト値の定義
  */
 #ifndef ECHONET_LCL_TASK_PRIORITY
-#define ECHONET_LCL_TASK_PRIORITY	3		/* åæåªå
-åº¦ */
+#define ECHONET_LCL_TASK_PRIORITY	3		/* 初期優先度 */
 #endif /* ECHONET_LCL_TASK_PRIORITY */
 
 #ifndef ECHONET_LCL_TASK_STACK_SIZE
-#define ECHONET_LCL_TASK_STACK_SIZE	1024	/* ã¹ã¿ãã¯é åã®ãµã¤ãº */
+#define ECHONET_LCL_TASK_STACK_SIZE	1024	/* スタック領域のサイズ */
 #endif /* ECHONET_LCL_TASK_STACK_SIZE */
 
@@ -90,22 +74,21 @@
 #endif /* NUM_ECHONET_LCL_MAILBOX */
 
- /* ECHONET Lite éä¿¡ã¬ã¤ã¤ã¼ã¿ã¹ã¯ ã¿ã¤ãã¼å¤åå¾ */
+ /* ECHONET Lite 通信レイヤータスク タイマー値取得 */
 TMO echonet_lcltask_get_timer(ecnl_svc_task_t *svc);
 
-/* ECHONET Lite éä¿¡ã¬ã¤ã¤ã¼ã¿ã¹ã¯ æéçµéå¦ç */
+/* ECHONET Lite 通信レイヤータスク 時間経過処理 */
 void echonet_lcltask_progress(ecnl_svc_task_t *svc, TMO a_timer);
 
-/* ECHONET Lite éä¿¡ã¬ã¤ã¤ã¼ã¿ã¹ã¯ ã¡ãã»ã¼ã¸åä¿¡å¦ç */
+/* ECHONET Lite 通信レイヤータスク メッセージ受信処理 */
 void echonet_lcltask_recv_msg(ecnl_svc_task_t *svc, T_ECN_FST_BLK *p_msg);
 
-/* ECHONET Lite éä¿¡ã¬ã¤ã¤ã¼ã¿ã¹ã¯ ã¿ã¤ã ã¢ã¦ãå¦ç */
+/* ECHONET Lite 通信レイヤータスク タイムアウト処理 */
 void echonet_lcltask_timeout(ecnl_svc_task_t *svc);
 
-/* ECHONET Lite éä¿¡ã¬ã¤ã¤ã¼ã¡ãã»ã¼ã¸å
-¥å */
+/* ECHONET Lite 通信レイヤーメッセージ入力 */
 ER echonet_lcl_input_msg(ecnl_svc_task_t *svc, mrb_value ep, mrb_value data);
 
 /*
- *  ãªã¢ã¼ãECHONETãã¼ãã®é©åç¢ºèª
+ *  リモートECHONETノードの適合確認
  */
 bool_t ecn_is_match(ecnl_svc_task_t *svc, const EOBJCB *eobjcb, T_EDATA *edata, mrb_value ep);
